package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Items;
import com.zh.test_zabbix.serviceImpl.ItemsServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-10-13
 */
public interface IItemsService extends IService<Items> {
    Result<JSONObject> get(ItemsServiceImpl.ArgGet args);

    Result<JSONObject> data(ItemsServiceImpl.ArgData args);

    Result<JSONObject> detail(ItemsServiceImpl.ArgDetail args);

    Result<JSONObject> create(ItemsServiceImpl.ArgCreate args);

    Result<JSONObject> delete(ItemsServiceImpl.ArgDelete args);

    Result<JSONObject> update(ItemsServiceImpl.ArgUpdate args);

    Result<JSONObject>  switchStatus(ItemsServiceImpl.ArgSwitchStatus args);

    Result<JSONObject> getItemDiscovery(ItemsServiceImpl.ArgGetItemDiscovery args);

    Result<JSONObject> itemDiscoveryDetail(ItemsServiceImpl.ArgItemDiscoveryDetail args);

    Result<JSONObject>  itemDiscoveryCreate(ItemsServiceImpl.ArgItemDiscoveryCreate args);

    Result<JSONObject> itemDiscoveriesDelete(ItemsServiceImpl.ArgItemDiscoveriesDelete args);

    Result<JSONObject>  itemDiscoveryUpdate(ItemsServiceImpl.ArgItemDiscoveryUpdate args);

    Result<JSONObject> itemDiscoverySwitchStatus(ItemsServiceImpl.ArgItemDiscoverySwitchStatus args);

    Result<JSONObject> getItemprototype(ItemsServiceImpl.ArgGetItemprototype args);

    Result<JSONObject> itemprototypeDetail(ItemsServiceImpl.ArgItemprototypeDetail args);

    Result<JSONObject> itemprototypeCreate(ItemsServiceImpl.ArgItemprototypeCreate args);

    Result<JSONObject> itemprototypeDelete(ItemsServiceImpl.ArgItemprototypeDelete args);

    Result<JSONObject> itemprototypeUpdate(ItemsServiceImpl.ArgItemprototypeUpdate args);

    Result<JSONObject> itemprototypesSwitchStatus(ItemsServiceImpl.ArgItemprototypesSwitchStatus args);


    // 主机监控项主要信息
    Result<JSONObject> allItems(ItemsServiceImpl.ArgAllItems args);

    // 全部监控项原型
    Result<JSONObject> allItemprototype(ItemsServiceImpl.ArgAllItemprototype args);

    Result<JSONObject> tagList(ItemsServiceImpl.ArgTagList args);


    Result<JSONObject> history(ItemsServiceImpl.ArgHistory args);

}
