package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Problem;
import com.zh.test_zabbix.serviceImpl.ProblemServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-11-14
 */
public interface IProblemService extends IService<Problem> {
    Result<JSONObject> countBySeverity(ProblemServiceImpl.ArgCount args);
    Result<JSONObject> get(ProblemServiceImpl.ArgGet args);

}

