package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Usrgrp;
import com.zh.test_zabbix.serviceImpl.UsrgrpServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-11-22
 */
public interface IUsrgrpService extends IService<Usrgrp> {
    Result<JSONObject> get(UsrgrpServiceImpl.ArgGet args);

    Result<JSONObject> detail(UsrgrpServiceImpl.ArgDetail args);

    Result<JSONObject> create(UsrgrpServiceImpl.ArgCreate args);

    Result<JSONObject> delete(UsrgrpServiceImpl.ArgDelete args);

    Result<JSONObject> update(UsrgrpServiceImpl.ArgUpdate args);
}
