package com.zh.test_zabbix.utils;

import com.alibaba.fastjson.JSONObject;
import com.zh.test_zabbix.config.Config;

import java.util.ArrayList;

public class ZabbixApi {
    public static JSONObject login(JSONObject params) {
        JSONObject json = new JSONObject();
        json.put("jsonrpc", "2.0");
        json.put("id", "1");
        json.put("method", "user.login");
        json.put("params", params);
        return HttpUtil.httpPost("http://192.168.230.16:8080/api_jsonrpc.php", json);
    }

    public static JSONObject post(String method, String auth, Object params) {
        JSONObject json = new JSONObject();
        json.put("jsonrpc", "2.0");
        json.put("id", "1");
        json.put("method", method);
        json.put("auth", auth);
        json.put("params", params);
        return HttpUtil.httpPost("http://192.168.230.16:8080/api_jsonrpc.php", json);
    }


    public static void main(String[] args) {
        ArrayList<String> a = new ArrayList<>();
        a.add("10627");
        JSONObject json = new JSONObject();
        json.put("jsonrpc", "2.0");
        json.put("id", "1");
        json.put("method", "host.delete");
        json.put("auth", Config.AUTH);
        json.put("params", a);
         HttpUtil.httpPost("http://192.168.230.16:8080/api_jsonrpc.php", json);
    }
}
