package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IProblemService;
import com.zh.test_zabbix.serviceImpl.ProblemServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/problem")
public class Problem {

    @Autowired
    private IProblemService problemService;

    @RequestMapping("/get")
    public Result get(@RequestBody ProblemServiceImpl.ArgGet args) {
        return problemService.get(args);
    }

    @RequestMapping("/count")
    public Result count(@RequestBody ProblemServiceImpl.ArgCount args){
        return problemService.countBySeverity(args);
    }


}
