package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IUsersService;
import com.zh.test_zabbix.serviceImpl.UsersServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2023-11-22
 */
@RestController
@RequestMapping("/users")
public class Users {

    @Autowired
    private IUsersService usersService;

    @RequestMapping("/get")
    public Result get(@RequestBody UsersServiceImpl.ArgGet args) {
        return usersService.get(args);
    }

    @RequestMapping("/media")
    public Result medias() {
        return usersService.medias();
    }
}
