package com.zh.test_zabbix.controller;


import com.zh.test_zabbix.service.IUsrgrpService;
import com.zh.test_zabbix.serviceImpl.UsrgrpServiceImpl;
import com.zh.test_zabbix.utils.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zh
 * @since 2023-11-22
 */
@RestController
@RequestMapping("/usrgrp")
public class Usrgrp {

    @Autowired
    private IUsrgrpService usrgrpService;

    @RequestMapping("/get")
    public Result get(@RequestBody UsrgrpServiceImpl.ArgGet args) {
        return usrgrpService.get(args);
    }

    @RequestMapping("/detail")
    public Result detail(@RequestBody UsrgrpServiceImpl.ArgDetail args) {
        return usrgrpService.detail(args);
    }

    @RequestMapping("/create")
    public Result create(@RequestBody UsrgrpServiceImpl.ArgCreate args) {
        return usrgrpService.create(args);
    }

    @RequestMapping("/delete")
    public Result delete(@RequestBody UsrgrpServiceImpl.ArgDelete args) {
        return usrgrpService.delete(args);
    }

    @RequestMapping("/update")
    public Result update(@RequestBody UsrgrpServiceImpl.ArgUpdate args) {
        return usrgrpService.update(args);
    }
}
