package com.zh.test_zabbix.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.test_zabbix.mapper.res.ResItemDiscovery;
import com.zh.test_zabbix.model.ItemDiscovery;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.ArrayList;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2023-10-31
 */
public interface ItemDiscoveryMapper extends BaseMapper<ItemDiscovery> {

    @Select("<script> " +
            "SELECT id1.itemid,id2.parent_itemid FROM item_discovery id1 " +
            "LEFT JOIN item_discovery id2  on id1.parent_itemid=id2.itemid " +
            "LEFT JOIN items i on i.itemid=id1.itemid " +
            "WHERE 1=1 " +
            "<if test='ew.nonEmptyOfWhere'>" +
            "AND " +
            "</if> " +
            "${ew.SqlSegment}" +
            "</script> ")
    ArrayList<ResItemDiscovery> list(@Param("ew") Wrapper<ItemDiscovery> qw);

}
