package com.zh.test_zabbix.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zh.test_zabbix.model.Triggers;
import com.zh.test_zabbix.serviceImpl.TriggersServiceImpl;
import com.zh.test_zabbix.utils.result.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2023-10-26
 */
public interface ITriggersService extends IService<Triggers> {
    Result<JSONObject> get(TriggersServiceImpl.ArgGet args);

    Result<JSONObject> detail(TriggersServiceImpl.ArgDetail args);

    Result<JSONObject> create(TriggersServiceImpl.ArgCreate args);

    Result<JSONObject> delete(TriggersServiceImpl.ArgDelete args);

    Result<JSONObject> update(TriggersServiceImpl.ArgUpdate args);

    Result<JSONObject> switchStatus(TriggersServiceImpl.ArgSwitchStatus args);

    Result<JSONObject> getTriggerprototype(TriggersServiceImpl.ArgGetTriggerprototype args);

    Result<JSONObject> triggerprototypeDetail(TriggersServiceImpl.ArgTriggerprototypeDetail args);

    Result<JSONObject> triggerprototypeCreate(TriggersServiceImpl.ArgTriggerprototypeCreate args);

    Result<JSONObject> triggerprototypeDelete(TriggersServiceImpl.ArgTriggerprototypeDelete args);

    Result<JSONObject> triggerprototypeUpdate(TriggersServiceImpl.ArgTriggerprototypeUpdate args);

    Result<JSONObject> triggerprototypeSwitchStatus(TriggersServiceImpl.ArgTriggerprototypeSwitchStatus args);
}
