package com.zh.test_zabbix.serviceImpl.util;

import com.alibaba.fastjson.JSONObject;
import com.zh.test_zabbix.config.Config;
import lombok.Data;

public class ServiceUtil {
    public static JSONObject ResStruct(String source, Object result) {
        JSONObject res = new JSONObject();
        res.put("source", source);
        res.put("result", result);
        return res;
    }
    public static JSONObject ResStruct(String source, Object result, int count, int pageNum, int pageSize) {
        JSONObject res = new JSONObject();
        res.put("source",source);
        res.put("total", count);
        res.put("pageNum", pageNum);
        res.put("pageSize", pageSize);
        res.put("result", result);
        return res;
    }

    public static JSONObject ResStruct(String source, Object result, int count) {
        JSONObject res = new JSONObject();
        res.put("source",source);
        res.put("total", count);
        res.put("result", result);
        return res;
    }

    @Data
    public  static  class Page{
        int num;
        int size;
    }

    public static Page init_page(Integer num,Integer size,Integer count){
        Page page = new Page();
        int pageSize = (null != size&& size > 0) ? size : Config.LIMIT;
        int pageNum = (null != num && num > 0) ? num : 1;
        if( (pageNum - 1) * pageSize >count){
            pageNum= 1;
        }
        page.num =pageNum;
        page.size = pageSize;
        return page;
    }

}
